Skip to main content
POST
/
products
Create a product
curl --request POST \
  --url https://public-api.replo.app/api/v1/public/products \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Replo-Api-Version: <replo-api-version>' \
  --data '
{
  "title": "<string>",
  "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "description": "<string>",
  "slug": "<string>",
  "externalCheckoutUrl": "<string>"
}
'
import requests

url = "https://public-api.replo.app/api/v1/public/products"

payload = {
    "title": "<string>",
    "projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "description": "<string>",
    "slug": "<string>",
    "externalCheckoutUrl": "<string>"
}
headers = {
    "Replo-Api-Version": "<replo-api-version>",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {
    'Replo-Api-Version': '<replo-api-version>',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    title: '<string>',
    projectId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
    description: '<string>',
    slug: '<string>',
    externalCheckoutUrl: '<string>'
  })
};

fetch('https://public-api.replo.app/api/v1/public/products', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "object": "product",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "title": "<string>",
  "description": "<string>",
  "slug": "<string>",
  "type": "<string>",
  "externalCheckoutUrl": "<string>"
}
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "doc_url": "<string>"
  }
}
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "doc_url": "<string>"
  }
}
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "doc_url": "<string>"
  }
}
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "doc_url": "<string>"
  }
}
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "doc_url": "<string>"
  }
}
{
  "error": {
    "code": "<string>",
    "message": "<string>",
    "doc_url": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Replo-Api-Version
enum<string>
required

The public API version to use for this request.

Available options:
2026-06-27

Body

application/json
title
string
required
Required string length: 1 - 1024
projectId
string<uuid>
required
description
string | null
Maximum string length: 10000
slug
string | null
Required string length: 1 - 1024
externalCheckoutUrl
string<uri> | null

Response

Create a product

object
enum<string>
required
Available options:
product
id
string<uuid>
required
title
string
required
description
string | null
required
slug
string | null
required
status
enum<string>
required

ProductStatus

Available options:
active,
archived,
draft
type
string
required
externalCheckoutUrl
string<uri> | null
required